Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 591838 - ntpd -q does not exit when no servers are defined in /etc/ntpd.conf
ntpd -q does not exit when no servers are defined in /etc/ntpd.conf
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ntp (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Lichvar
qe-baseos-daemons
:
Depends On: 449750
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 06:49 EDT by Miroslav Lichvar
Modified: 2011-07-21 02:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The "-q" command line option causes the ntpd service to exit immediately after the clock is set. Prior to this update, the man page ntpd(8) did not document that this only occurs if there are servers configured for ntpd to set the clock against. The user could conclude that ntpd was misbehaving when it did not quit if run with the "-q" switch but with no configured servers. With this update, the ntpd(8) man page notes that "ntpd -q" only exits if used to set the clock with configured servers.
Story Points: ---
Clone Of: 449750
Environment:
Last Closed: 2011-07-21 02:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0980 normal SHIPPED_LIVE ntp bug fix and enhancement update 2011-07-20 11:45:14 EDT

  None (edit)
Comment 5 Eva Kopalova 2011-06-30 08:44:16 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The "-q" command line option causes the ntpd service to exit immediately after the clock is set. Prior to this update, the man page ntpd(8) did not document that this only occurs if there are servers configured for ntpd to set the clock against. The user could conclude that ntpd was misbehaving when it did not quit if run with the "-q" switch but with no configured servers. With this update, the ntpd(8) man page notes that "ntpd -q" only exits if used to set the clock with configured servers.
Comment 6 errata-xmlrpc 2011-07-21 02:44:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0980.html

Note You need to log in before you can comment on or make changes to this bug.